Last modified: 2012-12-19 12:27:28 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35593 - On Gerrit's Review screen, change text "Cover Message" to "Comment"
On Gerrit's Review screen, change text "Cover Message" to "Comment"
Status: RESOLVED WONTFIX
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Lowest enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://code.google.com/p/gerrit/issue...
: upstream
Depends on:
Blocks: 22596
  Show dependency treegraph
 
Reported: 2012-03-29 17:26 UTC by T. Gries
Modified: 2012-12-19 12:27 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description T. Gries 2012-03-29 17:26:55 UTC

    
Comment 1 T. Gries 2012-03-29 17:28:35 UTC
see title
Comment 2 Sumana Harihareswara 2012-03-29 17:36:29 UTC
For reference: https://www.mediawiki.org/wiki/Git/Workflow#How_to_comment_on.2C_review.2C_and_merge_code_in_Gerrit

The phrase "Cover message" is foreign and strange; "comment" would be better and would fit in with our usual usage of "comment".
Comment 3 Chad H. 2012-03-29 17:38:03 UTC
(In reply to comment #2)
> For reference:
> https://www.mediawiki.org/wiki/Git/Workflow#How_to_comment_on.2C_review.2C_and_merge_code_in_Gerrit
> 
> The phrase "Cover message" is foreign and strange; "comment" would be better
> and would fit in with our usual usage of "comment".

It's meant to be a "Cover message" on top of the individual inline comments you left...so I at least *see* where they're coming from here.

Haven't looked at how trivial/possible it is to tweak UI wording yet.
Comment 4 Antoine "hashar" Musso (WMF) 2012-04-04 09:15:45 UTC
That is actually a cover message, not a place for people to randomly comment about the patch set.  Comments should be about the code, and thus done inline in the diff.

Gerrit is build using Google Web Toolkit, I.E the application is technically a Java application. To change the text, we would have to change a Java property in :
gerrit-gwtui/src/main/java/com/google/gerrit/client/changes/ChangeConstants.properties

Then recompile Gerrit and install the resulting .war.

So any customization requires us to actually fork and maintain our own copy of Gerrit. I am not sure it is worth it just to tweak a text message.

The issue should be reported upstream for discussion and this bug report closed.
Comment 5 Antoine "hashar" Musso (WMF) 2012-04-04 09:17:10 UTC
The ChangeConstants.properties file I talked about has content such as:

buttonReview = Review
buttonPublishCommentsSend = Publish Comments
buttonPublishSubmitSend = Publish and Submit
buttonPublishCommentsCancel = Cancel
headingCoverMessage = Cover Message:
headingPatchComments = Patch Comments:


On second thought, maybe that property file can be configured / provided along the .war without requiring a fork / custom build.
Comment 6 Chad H. 2012-04-04 12:11:26 UTC
(In reply to comment #5)
> The ChangeConstants.properties file I talked about has content such as:
> 
> buttonReview = Review
> buttonPublishCommentsSend = Publish Comments
> buttonPublishSubmitSend = Publish and Submit
> buttonPublishCommentsCancel = Cancel
> headingCoverMessage = Cover Message:
> headingPatchComments = Patch Comments:
> 
> 
> On second thought, maybe that property file can be configured / provided along
> the .war without requiring a fork / custom build.

Making this customizable without forking the .war is worth reporting upstream.
Comment 7 Chad H. 2012-06-08 12:30:15 UTC
Reported and tagged +upstream. Marking LATER pending some movement there.
Comment 8 Andre Klapper 2012-12-19 11:34:27 UTC
[Removing RESOLVED LATER as discussed in http://lists.wikimedia.org/pipermail/wikitech-l/2012-November/064240.html . Reopening and setting priority to "Lowest". For future reference, please use either RESOLVED WONTFIX (for issues that will not be fixed), or simply set lowest priority. Thanks a lot!]
Comment 9 Chad H. 2012-12-19 12:27:28 UTC
Unless upstream moves on this (which I doubt they will), this isn't going to happen. Marking WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links